Loading...
Searching...
No Matches
osmium::osm_entity_bits Namespace Reference

Bit field for OSM entity types. More...

## Enumerations

enum | type : unsigned char { nothing = 0x00 , node = 0x01 , way = 0x02 , relation = 0x04 , nwr = 0x07 , area = 0x08 , nwra = 0x0f , object = 0x0f , changeset = 0x10 , all = 0x1f }

## Functions

constexpr type | operator| (const type lhs, const type rhs) noexcept
constexpr type | operator& (const type lhs, const type rhs) noexcept
constexpr type | operator~ (const type value) noexcept
type & | operator|= (type &lhs, const type rhs) noexcept
type | operator&= (type &lhs, const type rhs) noexcept
type | from_item_type (osmium::item_type item_type) noexcept

## Detailed Description

Bit field for OSM entity types.

## Enumeration Type Documentation

## type

enum osmium::osm_entity_bits::type : unsigned char

Describes zero or more OSM entities.

Usage:

osmium::osm_entity_bits::type entities = osmium::osm_entity_bits::node | osmium::osm_entity_bits::way;
entities |= osmium::osm_entity_bits::relation;
assert(entities & osmium::osm_entity_bits::object);
assert(! (entities & osmium::osm_entity_bits::changeset));
osmium::osm_entity_bits::type
type
Definition entity_bits.hpp:63
osmium::osm_entity_bits::object
@ object
node, way, relation, or area object
Definition entity_bits.hpp:74
osmium::osm_entity_bits::node
@ node
Definition entity_bits.hpp:68
osmium::osm_entity_bits::changeset
@ changeset
Definition entity_bits.hpp:75
osmium::osm_entity_bits::relation
@ relation
Definition entity_bits.hpp:70
osmium::osm_entity_bits::way
@ way
Definition entity_bits.hpp:69

Enumerator
nothing |
node |
way |
relation |
nwr | node, way, or relation object
area |
nwra | node, way, relation, or area object
object | node, way, relation, or area object
changeset |
all | object or changeset

## Function Documentation

## from_item_type()

type osmium::osm_entity_bits::from_item_type | ( | osmium::item_type | item_type | ) |

inline noexcept

Get entity_bits from item_type.

Precondition
  item_type must be undefined, node, way, relation, area, or changeset.

## operator&()

type osmium::osm_entity_bits::operator& | ( | const type | lhs,
|  | const type | rhs )

inline constexpr noexcept

## operator&=()

type osmium::osm_entity_bits::operator&= | ( | type & | lhs,
|  | const type | rhs )

inline noexcept

## operator|()

type osmium::osm_entity_bits::operator| | ( | const type | lhs,
|  | const type | rhs )

inline constexpr noexcept

## operator|=()

type & osmium::osm_entity_bits::operator|= | ( | type & | lhs,
|  | const type | rhs )

inline noexcept

## operator~()

type osmium::osm_entity_bits::operator~ | ( | const type | value | ) |

inline constexpr noexcept